Skip to content

3D Secure Authentication

To manage certain aspects of the 3D Secure (3DS) authentication, you will need to integrate with the following APIs.

Inform challenge result

Request

Once the customer has accepted or rejected the push notification for a 3DS challenge, use this endpoint to notify Wise of the result.

You must call this endpoint before the expiration time (provided in the 3DS challenge webhook event), otherwise it will return a 400 error.

Only the first call to this endpoint is processed. Any subsequent duplicate requests are ignored, although you still receive a success response.

SCA protected endpoint

This endpoint is SCA protected. SCA requirements apply to profiles registered outside of the following regions: US, AU, NZ, SG, CA, MY.

Review the Strong Customer Authentication guide for more details.

Security
UserToken
Path
profileIdinteger, (int64)required

The profile ID (personal or business) associated with the 3DS challenge.

Headers
X-External-Correlation-Idstring, (uuid), <= 36 characters

Optional UUID for correlating requests across systems. If provided, Wise echoes it back in the response. Maximum 36 characters. Learn more.

Example:f47ac10b-58cc-4372-a567-0e02b2c3d479
Bodyapplication/jsonrequired
transactionReferencestringrequired

Transaction reference as received in the 3DS challenge webhook event.

Example:"148579538"
challengeStatusstringrequired

The customer's response to the 3DS challenge.

Enum:"APPROVED""REJECTED"
Example:"APPROVED"
curl -i -X POST \
  'https://api.wise.com/2026Q3/spend/profiles/{profileId}/3dsecure/challenge-result' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>' \
  -H 'Content-Type: application/json' \
  -H 'X-External-Correlation-Id: f47ac10b-58cc-4372-a567-0e02b2c3d479' \
  -d '{
    "transactionReference": "148579538",
    "challengeStatus": "APPROVED"
  }'

Responses

No Content - Challenge result has been successfully recorded.

Headers
X-External-Correlation-Idstring, (uuid), <= 36 characters

Echoed back when X-External-Correlation-Id was included in the request. Learn more.

Example:"f47ac10b-58cc-4372-a567-0e02b2c3d479"
x-trace-idstring

Unique trace identifier assigned by Wise. Useful when contacting support about a specific request.

Example:"fba501b6d453b96789f52338f019341f"
Response
No content